/*
 * Class DYNAMIC_LIST [POINTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_545 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_545 [] = {0xFF01,237,544,215,0xFFFF};
static const EIF_TYPE_INDEX egt_2_545 [] = {0xFF01,544,215,0xFFFF};
static const EIF_TYPE_INDEX egt_3_545 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_545 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_545 [] = {0xFF01,544,215,0xFFFF};
static const EIF_TYPE_INDEX egt_6_545 [] = {0xFF01,544,215,0xFFFF};
static const EIF_TYPE_INDEX egt_7_545 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_545 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_545 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_545 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_545 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_545 [] = {544,215,0xFFFF};
static const EIF_TYPE_INDEX egt_13_545 [] = {0xFF01,544,215,0xFFFF};
static const EIF_TYPE_INDEX egt_14_545 [] = {0xFF01,535,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_545 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_545 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_545 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_545 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_545 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_20_545 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_545 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_545 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_545 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_545 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_545 [] = {0xFF01,544,215,0xFFFF};
static const EIF_TYPE_INDEX egt_26_545 [] = {0xFF01,527,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_545 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_545 [] = {0xFF01,544,215,0xFFFF};
static const EIF_TYPE_INDEX egt_29_545 [] = {0xFF01,141,0xFFFF};


static const struct desc_info desc_545[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_545), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_545), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4666, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_545), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_545), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_545), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_545), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_545), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_545), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_545), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_545), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_545), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_545), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_545), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_545), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4384, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2033, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1886, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1887, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1888, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1889, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_545), 2375, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_545), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_545), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2561, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2562, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2001, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4385, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2480, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4388, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_545), 2368, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2369, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4663, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4391, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_545), 4386, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_545), 4389, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4394, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_545), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4373, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4390, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2371, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2372, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2373, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2374, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_545), 4386, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_545), 4387, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4394, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4376, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4376, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_545), 4382, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_545), 4383, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4392, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4393, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4395, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4396, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4374, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4375, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4379, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_545), 4594, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2365, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2364, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2367, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2367, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4589, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4590, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1944, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2558, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4378, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4591, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4592, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4726, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_545), 3375, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_545), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4664, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2366, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2556, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4377, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4388, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4593, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4723, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4724, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4725, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_545), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_545), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init545(void)
{
	IDSC(desc_545, 0, 544);
	IDSC(desc_545 + 1, 1, 544);
	IDSC(desc_545 + 32, 77, 544);
	IDSC(desc_545 + 41, 243, 544);
	IDSC(desc_545 + 47, 155, 544);
	IDSC(desc_545 + 56, 256, 544);
	IDSC(desc_545 + 59, 30, 544);
	IDSC(desc_545 + 66, 187, 544);
	IDSC(desc_545 + 72, 329, 544);
	IDSC(desc_545 + 86, 282, 544);
	IDSC(desc_545 + 95, 99, 544);
	IDSC(desc_545 + 97, 294, 544);
	IDSC(desc_545 + 100, 237, 544);
	IDSC(desc_545 + 102, 229, 544);
	IDSC(desc_545 + 103, 55, 544);
	IDSC(desc_545 + 104, 96, 544);
	IDSC(desc_545 + 112, 184, 544);
	IDSC(desc_545 + 115, 50, 544);
	IDSC(desc_545 + 116, 35, 544);
	IDSC(desc_545 + 117, 172, 544);
}


#ifdef __cplusplus
}
#endif
